%define with_emacs 1

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		desktop-file-utils
Version:	0.16
Release:	1
Summary:	Utilities for manipulating desktop files
License:	GNU/GPL
Group: 		Graphical Desktop/Freedesktop/Utilities
URL:		http://www.freedesktop.org/wiki/Software_2fdesktop_2dfile_2dutils
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Source0:	%{name}-%{version}.tar.bz2
Patch1: 	desktop-file-utils-0.10-dont-use-unintialized-memory.patch
BuildRequires:	popt >= 1.10

%if %{with_emacs}
BuildRequires: emacs
%endif

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel

%description
desktop-file-utils contains a couple of command line utilities for working
with desktop entries (http://www.freedesktop.org/Standards/desktop-entry-spec).
These utilities are used by GNOME-2 and other applications to manipulate the
MIME-types application databases and help adhere to the desktop entries
standards specification.

%prep
%setup -q
%patch1 -p1 -b .dont-use-uninitialized-memory

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# We don't want the vfs module yet
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libmenu*
/bin/rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gnome-vfs-2.0/modules/menu-modules.conf

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%post
update-desktop-database %{_datadir}/applications || :

%preun
update-desktop-database %{_datadir}/applications || :

%files
%defattr(-,root,root)
%{_bindir}/desktop-file-install
%{_bindir}/desktop-file-validate
%{_bindir}/update-desktop-database
%if %{with_emacs}
%{_datadir}/emacs/site-lisp/desktop-entry-mode.el
%{_datadir}/emacs/site-lisp/desktop-entry-mode.elc
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Mar 27 2010 Karstem Brockmann <arcam@ccux-linux.de> 0.16-1
- Version update
* Tue Apr 15 2008 Christian Wasem <wasem@ccux-linux.de> 0.15-1
- Version update
* Tue Sep 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.14-1
- Version update
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 0.11-2
- added patch
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.11-1
- Version update
* Thu Apr 13 2006 Christian Wasem <wasem@ccux-linux.de> 0.10-4
- tweaked spec file, added uninitialized-memory patch
* Wed Apr 06 2005 H.-U. Schukraft <schukraft@ccux-linux.de> 0.10-3
- added configure options, moved prefix to /usr, changed group,
- changed url and description, tweaked spec file
* Sun Mar 20 2005 Christian Metzen <metzench@ccux-linux.de> 0.10-2
- Tweaked Specfile
* Wed Feb 23 2005 H.-U. Schukraft <schukraft@ccux-linux.de> 0.10-1
- First package release.
